#include "../include/RTSMonitoringTask.h"
#include <chrono>
#include <thread>



int main([[maybe_unused]] int argc, [[maybe_unused]] char **argv) {
    
    RTSMonitoringTask rtMon;

    if (rtMon.Init()) {
    // idle
        while(1)
        {
            rtMon.CreateMonitoring(1, "Test1", 3750, 2, 10, "stopped");
            // sleep 100 ms
            std::this_thread::sleep_for(std::chrono::milliseconds(100));
        }
    }
    return 0;
}


